/* common/mal_auto_config.h.  Generated from mal_auto_config.h.in by configure.  */
/* common/mal_auto_config.h.in.  Generated from configure.ac by autoheader.  */

#ifndef _mal_auto_config_h_

#define _mal_auto_config_h_

#ifdef _mal_autodetect_h_

#error mal_autodetect.h should not be before mal_auto_config.h

#endif

/* Define to 1 if you have the <ifaddrs.h> header file. */
#define HAVE_IFADDRS_H 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/sockio.h> header file. */
/* #undef HAVE_SYS_SOCKIO_H */

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to set debugging to be enabled/disabled by default */
#ifndef MAL_DEBUG
#define MAL_DEBUG 0
#endif

/* Are Altivec instructions permitted? */
#define MAL_ENABLE_ALTIVEC 0

/* Use the userspace-driver */
#define MAL_OS_UDRV 0

/* Enable memory allocation debugging with Valgrind */
#define MAL_VALGRIND 0

/* Is MCP logging enabled */
#define MCP_LOGGING 0

/* Is 10g support enabled */
#define MX_10G_ENABLED 1

/* Use 2K pages */
#define MX_2K_PAGES 0

/* Is MX_CSUM option available */
#define MX_DEBUG_CSUM MAL_DEBUG

/* Is development code enabled */
#define MX_DEVEL 0

/* Enable debug code to check dma operations */
#define MX_DMA_DBG 0

/* Are SSE2 instructions permitted? */
#define MX_ENABLE_SSE2 1

/* Do we account statistics */
#define MX_ENABLE_STATS 0

/* Ethernet mode only */
#define MX_ETHER_MODE 1

/* Is kernel library enabled */
#define MX_KERNEL_LIB 1

/* Don't use PG_locked flag for pinning pages */
#define MX_LINUX_NOLOCKPIN 0

/* Don't use msi by default */
#define MX_MSI 1

/* Enable/Disable use of Rndv FW operations */
#define MX_NO_RNDV 0

/* Enable One sided operations */
#define MX_ONE_SIDED 0

/* Whether to use opteron iommu workaroudn */
#define MX_OPTERON_IOMMU 0

/* Is RDMA Win cache enabled */
#define MX_RDMAWIN_CACHE 1

/* Use 2K rdma max */
#define MX_RDMA_2K 0

/* Use FC for rdma */
#define MX_RDMA_FC 0

/* Pad rdma */
#define MX_RDMA_PAD 0

/* Define to set thread safety to be enabled/disabled by default */
#ifndef MX_THREAD_SAFE
#define MX_THREAD_SAFE 1
#endif

/* Is Lanai emulated in unix process */
#define MX_ULANAI 0

/* Whether to use "write-combining" 64B reqs */
#define MX_WC64 1

/* Enable kraw support */
#define MYRI_ENABLE_KRAW 1

/* Enable PTP clock support */
#define MYRI_ENABLE_PTP 1

/* Customer ID if CKEY present */
/* #undef MYRI_MCP_CKEY */

/* Enable Sniffer functionality */
#define MYRI_SNF 1

/* Enable Sniffer delay merging/aggregation */
#define MYRI_SNF_DELAY_MERGING 1

/* Enable Sniffer histogram */
#define MYRI_SNF_HISTOGRAM 0

/* Enable Sniffer prehash mode */
#define MYRI_SNF_PREHASH 1

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME ""

/* Define to the full name and version of this package. */
#define PACKAGE_STRING ""

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME ""

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION ""

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

#include "mal_autodetect.h"

#endif
